All Classes Files Functions Typedefs Groups Pages
NexHardware.cpp File Reference
`#include "NexHardware.h"`

## Macros

#define | NEX_RET_CMD_FINISHED (0x01)
#define | NEX_RET_EVENT_LAUNCHED (0x88)
#define | NEX_RET_EVENT_UPGRADED (0x89)
#define | NEX_RET_EVENT_TOUCH_HEAD (0x65)
#define | NEX_RET_EVENT_POSITION_HEAD (0x67)
#define | NEX_RET_EVENT_SLEEP_POSITION_HEAD (0x68)
#define | NEX_RET_CURRENT_PAGE_ID_HEAD (0x66)
#define | NEX_RET_STRING_HEAD (0x70)
#define | NEX_RET_NUMBER_HEAD (0x71)
#define | NEX_RET_INVALID_CMD (0x00)
#define | NEX_RET_INVALID_COMPONENT_ID (0x02)
#define | NEX_RET_INVALID_PAGE_ID (0x03)
#define | NEX_RET_INVALID_PICTURE_ID (0x04)
#define | NEX_RET_INVALID_FONT_ID (0x05)
#define | NEX_RET_INVALID_BAUD (0x11)
#define | NEX_RET_INVALID_VARIABLE (0x1A)
#define | NEX_RET_INVALID_OPERATION (0x1B)

## Functions

bool | recvRetNumber (uint32_t *number, uint32_t timeout)
uint16_t | recvRetString (char *buffer, uint16_t len, uint32_t timeout)
void | sendCommand (const char *cmd)
bool | recvRetCommandFinished (uint32_t timeout)
bool | nexInit (void)
void | nexLoop (NexTouch *nex_listen_list[])

## Detailed Description

The implementation of base API for using Nextion.

Author
  Wu Pengfei (email:pengf.nosp@m.ei.w.nosp@m.u@ite.nosp@m.ad.c.nosp@m.c)

Date
  2015/8/11

Copyright
  Copyright (C) 2014-2015 ITEAD Intelligent Systems Co., Ltd.
  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.